package converters;

import java.io.*;
import java.util.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class ConvertRowTag extends BodyTagSupport {
	CurrencyConverterBean bean = new CurrencyConverterBean();

	public int doAfterBody() throws JspException {
		try {
			JspWriter out = getPreviousOut();
			StringTokenizer values = new StringTokenizer(bodyContent.getString().trim(),",");
			while (values.hasMoreTokens()) {
				String dollar = values.nextToken();
				bean.setAmount(dollar);
				out.print("<TD  ALIGN='right'>");
				out.print(bean.getPoundValue());
				out.println("</TD>");
			}
			bodyContent.clearBody();
		}
		catch (IOException ex) {
		    throw new JspTagException("ConvertRowTag: "+ex);
		}
		return SKIP_BODY;
	}
}
