package converters;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class RateTag extends TagSupport {
	private static final double exchangeRate = 0.613;
	public int doStartTag() throws JspException {
		try {
		    pageContext.getOut().print(exchangeRate);
		} catch (IOException ex) {
		    throw new JspTagException("RateTag: "+ex);
		}
		return SKIP_BODY;
	}
}
