package converters;

import java.io.*;
import java.sql.*;
import java.text.*;
import javax.naming.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.struts.action.*;

public class ActionConvert extends Action
{
	public ActionForward perform(ActionMapping mapping, ActionForm actionForm,
			HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		ActionErrors errors = null;
		try {
			ConverterBean convert = new ConverterBean();
			ConvertForm form = (ConvertForm)actionForm;
			convert.setAmount(form.getAmount());
			request.setAttribute("amount",convert.getAmount());
			request.setAttribute(
				"convertedAmount",
				convert.getConvertedAmount()
			);
		    return mapping.findForward("convert");
		}
		catch (ParseException ex) {
	        errors = new ActionErrors();
            errors.add("database", new ActionError("convert.bad.amount"));
		}
		catch (NamingException ex) {
	        errors = new ActionErrors();
            errors.add("database", new ActionError("convert.naming.error"));
		}
		catch (SQLException ex) {
	        errors = new ActionErrors();
            errors.add("database", new ActionError("convert.database.error"));
		}
		saveErrors(request,errors);
		return mapping.findForward("modelError");
	}
}

