import java.sql.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class SessionListener extends HttpServlet
    implements HttpSessionListener {

    public void sessionCreated(HttpSessionEvent event) {
    }

    public void sessionDestroyed(HttpSessionEvent event) {
        HttpSession session = event.getSession();
	    Enumeration enum = session.getAttributeNames();
		while (enum.hasMoreElements()) {
			Object attribute = enum.nextElement();
			if (attribute instanceof Connection) {
				try {
				    ((Connection)attribute).close();
				}
				catch (SQLException ex) {}
			}
		}
    }
}